com.ibm.openpages.api.configuration

## Interface IRLSRule

-     public interface IRLSRule

  Security Rules allow the administrator to create and set conditions on OpenPages objects granting record level security access. Creates rules and sets conditions that govern access permissions (IRLSAccess) to individual objects. A rule can apply to one user, multiple users, or it can apply to one or more groups of users. You can combine rules by using Boolean operators (AND, OR, NOT). Examples:
  - Read, write, associate and/or delete access to object instances (and its descendents) and depends on a user being listed.
  - Read, write, associate and/or delete access to object instances (and its descendents) and depends on a user being a member of a particular group.
  - Read and/or write access to specific fields on an object instance (and its descendents) and depends on a user being listed in one or more specific user selector fields on an object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IRLSAccess>` | `getAccess()` Returns the List for this rule.
    `IRLSAccess` | `getAccessFor(int access)` Returns the IRLSAccess for this rule.
    `java.lang.String` | `getConditions()` Returns the condition of RLSRule.
    `java.lang.String` | `getDescription()` Returns the description of RLSRule.
    `LogicalOperatorType` | `getLogicalOperatorType()` Returns the security rules logical operator.
    `java.lang.String` | `getName()` Returns the name of RLSRule.
    `boolean` | `isAccessOn(int access)` Sets the access permission for RLSAccess.
    `java.lang.Boolean` | `isEnabled()` Determines whether the rule is enabled.
    `void` | `setAccess(java.util.List<IRLSAccess> access)` Sets the List of RLSRule.
    `void` | `setConditions(java.lang.String conditions)` Sets the condition of RLSRule.
    `void` | `setDescription(java.lang.String description)` Sets the description of RLSRule.
    `void` | `setEnabled(java.lang.Boolean enabled)` Enables or disables the rule.
    `void` | `setLogicalOperatorType(LogicalOperatorType logicalOperatorType)` Sets the RbsLogicalOperator for RLSRule.
    `void` | `setName(java.lang.String name)` Sets the name of RLSRule.

- - ### Method Detail

    - #### getLogicalOperatorType

          LogicalOperatorType getLogicalOperatorType()

      Returns the security rules logical operator. LogicalOperator.OR means the Security Rule is an Extend rule. LogicalOperator.AND means the Security Rule is a Restrict rule.
      Returns:
        security rules logical operator

    - #### setLogicalOperatorType

          void setLogicalOperatorType(LogicalOperatorType logicalOperatorType)

      Sets the RbsLogicalOperator for RLSRule.
      Parameters:
        `logicalOperatorType` - RbsLogicalOperator of RLSRule.

    - #### getName

          java.lang.String getName()

      Returns the name of RLSRule.
      Returns:
        string for this rule

    - #### setName

          void setName(java.lang.String name)

      Sets the name of RLSRule.
      Parameters:
        `name` - name of RLSRule, which cannot be null

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of RLSRule.
      Returns:
        string for this rule

    - #### setDescription

          void setDescription(java.lang.String description)

      Sets the description of RLSRule.
      Parameters:
        `description` - description of RLSRule

    - #### getConditions

          java.lang.String getConditions()

      Returns the condition of RLSRule.
      Returns:
        string for this rule

    - #### setConditions

          void setConditions(java.lang.String conditions)

      Sets the condition of RLSRule.
      Parameters:
        `conditions` - condition of RLSRule, which cannot be null

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Determines whether the rule is enabled.
      Returns:
        true if the rule is enabled, otherwise returns false

    - #### setEnabled

          void setEnabled(java.lang.Boolean enabled)

      Enables or disables the rule.
      Parameters:
        `enabled` - enables the rule when true or disables the rule when false

    - #### getAccess

          java.util.List<IRLSAccess> getAccess()

      Returns the List for this rule.
      Returns:
        List for this rule

    - #### isAccessOn

          boolean isAccessOn(int access)

      Sets the access permission for RLSAccess. Check if true.
      Parameters:
        `access` - Boolean value for RLSAccess, which cannot be null

    - #### getAccessFor

          IRLSAccess getAccessFor(int access)

      Returns the IRLSAccess for this rule.
      Returns:
        IRLSAccess for this rule

    - #### setAccess

          void setAccess(java.util.List<IRLSAccess> access)

      Sets the List of RLSRule.
      Parameters:
        `access` - List of RLSRule, which cannot be null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.